824c8bbffc8d1617c73cc66207605ef10b8a8240
[bpt/emacs.git] / m4 / gnulib-comp.m4
1 # DO NOT EDIT! GENERATED AUTOMATICALLY!
2 # Copyright (C) 2002-2012 Free Software Foundation, Inc.
3 #
4 # This file is free software; you can redistribute it and/or modify
5 # it under the terms of the GNU General Public License as published by
6 # the Free Software Foundation; either version 3 of the License, or
7 # (at your option) any later version.
8 #
9 # This file is distributed in the hope that it will be useful,
10 # but WITHOUT ANY WARRANTY; without even the implied warranty of
11 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
12 # GNU General Public License for more details.
13 #
14 # You should have received a copy of the GNU General Public License
15 # along with this file. If not, see <http://www.gnu.org/licenses/>.
16 #
17 # As a special exception to the GNU General Public License,
18 # this file may be distributed as part of a program that
19 # contains a configuration script generated by Autoconf, under
20 # the same distribution terms as the rest of that program.
21 #
22 # Generated by gnulib-tool.
23 #
24 # This file represents the compiled summary of the specification in
25 # gnulib-cache.m4. It lists the computed macro invocations that need
26 # to be invoked from configure.ac.
27 # In projects that use version control, this file can be treated like
28 # other built files.
29
30
31 # This macro should be invoked from ./configure.in, in the section
32 # "Checks for programs", right after AC_PROG_CC, and certainly before
33 # any checks for libraries, header files, types and library functions.
34 AC_DEFUN([gl_EARLY],
35 [
36 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
37 m4_pattern_allow([^gl_ES$])dnl a valid locale name
38 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
39 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
40 AC_REQUIRE([gl_PROG_AR_RANLIB])
41 # Code from module alloca-opt:
42 # Code from module allocator:
43 # Code from module c-ctype:
44 # Code from module c-strcase:
45 # Code from module careadlinkat:
46 # Code from module clock-time:
47 # Code from module crypto/md5:
48 # Code from module crypto/sha1:
49 # Code from module crypto/sha256:
50 # Code from module crypto/sha512:
51 # Code from module dosname:
52 # Code from module dtoastr:
53 # Code from module dtotimespec:
54 # Code from module dup2:
55 # Code from module extensions:
56 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
57 # Code from module filemode:
58 # Code from module getloadavg:
59 # Code from module getopt-gnu:
60 # Code from module getopt-posix:
61 # Code from module gettext-h:
62 # Code from module gettime:
63 # Code from module gettimeofday:
64 # Code from module ignore-value:
65 # Code from module include_next:
66 # Code from module intprops:
67 # Code from module inttypes-incomplete:
68 # Code from module largefile:
69 AC_REQUIRE([AC_SYS_LARGEFILE])
70 # Code from module lstat:
71 # Code from module manywarnings:
72 # Code from module mktime:
73 # Code from module multiarch:
74 # Code from module nocrash:
75 # Code from module pathmax:
76 # Code from module pselect:
77 # Code from module pthread_sigmask:
78 # Code from module readlink:
79 # Code from module signal-h:
80 # Code from module snippet/_Noreturn:
81 # Code from module snippet/arg-nonnull:
82 # Code from module snippet/c++defs:
83 # Code from module snippet/warn-on-use:
84 # Code from module socklen:
85 # Code from module ssize_t:
86 # Code from module stat:
87 # Code from module stat-time:
88 # Code from module stdalign:
89 # Code from module stdarg:
90 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
91 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
92 dnl gl_PROG_CC_C99 arranges for this. With older Autoconf gl_PROG_CC_C99
93 dnl shouldn't hurt, though installers are on their own to set c99 mode.
94 gl_PROG_CC_C99
95 # Code from module stdbool:
96 # Code from module stddef:
97 # Code from module stdint:
98 # Code from module stdio:
99 # Code from module stdlib:
100 # Code from module strftime:
101 # Code from module strtoimax:
102 # Code from module strtoll:
103 # Code from module strtoull:
104 # Code from module strtoumax:
105 # Code from module symlink:
106 # Code from module sys_select:
107 # Code from module sys_stat:
108 # Code from module sys_time:
109 # Code from module time:
110 # Code from module time_r:
111 # Code from module timespec:
112 # Code from module timespec-add:
113 # Code from module timespec-sub:
114 # Code from module u64:
115 # Code from module unistd:
116 # Code from module utimens:
117 # Code from module verify:
118 # Code from module warnings:
119 ])
120
121 # This macro should be invoked from ./configure.in, in the section
122 # "Check for header files, types and library functions".
123 AC_DEFUN([gl_INIT],
124 [
125 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
126 gl_cond_libtool=false
127 gl_libdeps=
128 gl_ltlibdeps=
129 gl_m4_base='m4'
130 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
131 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
132 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
133 m4_pushdef([gl_LIBSOURCES_LIST], [])
134 m4_pushdef([gl_LIBSOURCES_DIR], [])
135 gl_COMMON
136 gl_source_base='lib'
137 gl_FUNC_ALLOCA
138 AC_CHECK_FUNCS_ONCE([readlinkat])
139 gl_CLOCK_TIME
140 gl_MD5
141 gl_SHA1
142 gl_SHA256
143 gl_SHA512
144 AC_REQUIRE([gl_C99_STRTOLD])
145 gl_FUNC_DUP2
146 if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
147 AC_LIBOBJ([dup2])
148 gl_PREREQ_DUP2
149 fi
150 gl_UNISTD_MODULE_INDICATOR([dup2])
151 gl_FILEMODE
152 gl_GETLOADAVG
153 if test $HAVE_GETLOADAVG = 0; then
154 AC_LIBOBJ([getloadavg])
155 gl_PREREQ_GETLOADAVG
156 fi
157 gl_STDLIB_MODULE_INDICATOR([getloadavg])
158 gl_FUNC_GETOPT_GNU
159 if test $REPLACE_GETOPT = 1; then
160 AC_LIBOBJ([getopt])
161 AC_LIBOBJ([getopt1])
162 gl_PREREQ_GETOPT
163 dnl Arrange for unistd.h to include getopt.h.
164 GNULIB_GL_UNISTD_H_GETOPT=1
165 fi
166 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
167 gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
168 gl_FUNC_GETOPT_POSIX
169 if test $REPLACE_GETOPT = 1; then
170 AC_LIBOBJ([getopt])
171 AC_LIBOBJ([getopt1])
172 gl_PREREQ_GETOPT
173 dnl Arrange for unistd.h to include getopt.h.
174 GNULIB_GL_UNISTD_H_GETOPT=1
175 fi
176 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
177 gl_GETTIME
178 gl_FUNC_GETTIMEOFDAY
179 if test $HAVE_GETTIMEOFDAY = 0 || test $REPLACE_GETTIMEOFDAY = 1; then
180 AC_LIBOBJ([gettimeofday])
181 gl_PREREQ_GETTIMEOFDAY
182 fi
183 gl_SYS_TIME_MODULE_INDICATOR([gettimeofday])
184 AC_REQUIRE([AC_C_INLINE])
185 gl_INTTYPES_INCOMPLETE
186 AC_REQUIRE([gl_LARGEFILE])
187 gl_FUNC_LSTAT
188 if test $REPLACE_LSTAT = 1; then
189 AC_LIBOBJ([lstat])
190 gl_PREREQ_LSTAT
191 fi
192 gl_SYS_STAT_MODULE_INDICATOR([lstat])
193 gl_FUNC_MKTIME
194 if test $REPLACE_MKTIME = 1; then
195 AC_LIBOBJ([mktime])
196 gl_PREREQ_MKTIME
197 fi
198 gl_TIME_MODULE_INDICATOR([mktime])
199 gl_MULTIARCH
200 gl_FUNC_PSELECT
201 if test $HAVE_PSELECT = 0 || test $REPLACE_PSELECT = 1; then
202 AC_LIBOBJ([pselect])
203 fi
204 gl_SYS_SELECT_MODULE_INDICATOR([pselect])
205 gl_FUNC_PTHREAD_SIGMASK
206 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
207 AC_LIBOBJ([pthread_sigmask])
208 gl_PREREQ_PTHREAD_SIGMASK
209 fi
210 gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
211 gl_FUNC_READLINK
212 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
213 AC_LIBOBJ([readlink])
214 gl_PREREQ_READLINK
215 fi
216 gl_UNISTD_MODULE_INDICATOR([readlink])
217 gl_SIGNAL_H
218 gl_TYPE_SOCKLEN_T
219 gt_TYPE_SSIZE_T
220 gl_STAT_TIME
221 gl_STAT_BIRTHTIME
222 gl_STDALIGN_H
223 gl_STDARG_H
224 AM_STDBOOL_H
225 gl_STDDEF_H
226 gl_STDINT_H
227 gl_STDIO_H
228 gl_STDLIB_H
229 gl_FUNC_GNU_STRFTIME
230 gl_FUNC_STRTOIMAX
231 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
232 AC_LIBOBJ([strtoimax])
233 gl_PREREQ_STRTOIMAX
234 fi
235 gl_INTTYPES_MODULE_INDICATOR([strtoimax])
236 gl_FUNC_STRTOUMAX
237 if test $ac_cv_func_strtoumax = no; then
238 AC_LIBOBJ([strtoumax])
239 gl_PREREQ_STRTOUMAX
240 fi
241 gl_INTTYPES_MODULE_INDICATOR([strtoumax])
242 gl_FUNC_SYMLINK
243 if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
244 AC_LIBOBJ([symlink])
245 fi
246 gl_UNISTD_MODULE_INDICATOR([symlink])
247 gl_HEADER_SYS_SELECT
248 AC_PROG_MKDIR_P
249 gl_HEADER_SYS_STAT_H
250 AC_PROG_MKDIR_P
251 gl_HEADER_SYS_TIME_H
252 AC_PROG_MKDIR_P
253 gl_HEADER_TIME_H
254 gl_TIME_R
255 if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
256 AC_LIBOBJ([time_r])
257 gl_PREREQ_TIME_R
258 fi
259 gl_TIME_MODULE_INDICATOR([time_r])
260 gl_TIMESPEC
261 AC_REQUIRE([AC_C_INLINE])
262 gl_UNISTD_H
263 gl_UTIMENS
264 gl_gnulib_enabled_dosname=false
265 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
266 gl_gnulib_enabled_pathmax=false
267 gl_gnulib_enabled_stat=false
268 gl_gnulib_enabled_strtoll=false
269 gl_gnulib_enabled_strtoull=false
270 gl_gnulib_enabled_verify=false
271 func_gl_gnulib_m4code_dosname ()
272 {
273 if ! $gl_gnulib_enabled_dosname; then
274 gl_gnulib_enabled_dosname=true
275 fi
276 }
277 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
278 {
279 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
280 AC_SUBST([LIBINTL])
281 AC_SUBST([LTLIBINTL])
282 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
283 fi
284 }
285 func_gl_gnulib_m4code_pathmax ()
286 {
287 if ! $gl_gnulib_enabled_pathmax; then
288 gl_PATHMAX
289 gl_gnulib_enabled_pathmax=true
290 fi
291 }
292 func_gl_gnulib_m4code_stat ()
293 {
294 if ! $gl_gnulib_enabled_stat; then
295 gl_FUNC_STAT
296 if test $REPLACE_STAT = 1; then
297 AC_LIBOBJ([stat])
298 gl_PREREQ_STAT
299 fi
300 gl_SYS_STAT_MODULE_INDICATOR([stat])
301 gl_gnulib_enabled_stat=true
302 if test $REPLACE_STAT = 1; then
303 func_gl_gnulib_m4code_dosname
304 fi
305 if test $REPLACE_STAT = 1; then
306 func_gl_gnulib_m4code_pathmax
307 fi
308 if test $REPLACE_STAT = 1; then
309 func_gl_gnulib_m4code_verify
310 fi
311 fi
312 }
313 func_gl_gnulib_m4code_strtoll ()
314 {
315 if ! $gl_gnulib_enabled_strtoll; then
316 gl_FUNC_STRTOLL
317 if test $HAVE_STRTOLL = 0; then
318 AC_LIBOBJ([strtoll])
319 gl_PREREQ_STRTOLL
320 fi
321 gl_STDLIB_MODULE_INDICATOR([strtoll])
322 gl_gnulib_enabled_strtoll=true
323 fi
324 }
325 func_gl_gnulib_m4code_strtoull ()
326 {
327 if ! $gl_gnulib_enabled_strtoull; then
328 gl_FUNC_STRTOULL
329 if test $HAVE_STRTOULL = 0; then
330 AC_LIBOBJ([strtoull])
331 gl_PREREQ_STRTOULL
332 fi
333 gl_STDLIB_MODULE_INDICATOR([strtoull])
334 gl_gnulib_enabled_strtoull=true
335 fi
336 }
337 func_gl_gnulib_m4code_verify ()
338 {
339 if ! $gl_gnulib_enabled_verify; then
340 gl_gnulib_enabled_verify=true
341 fi
342 }
343 if test $REPLACE_GETOPT = 1; then
344 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
345 fi
346 if test $REPLACE_LSTAT = 1; then
347 func_gl_gnulib_m4code_dosname
348 fi
349 if test $REPLACE_LSTAT = 1; then
350 func_gl_gnulib_m4code_stat
351 fi
352 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
353 func_gl_gnulib_m4code_stat
354 fi
355 if { test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; } && test $ac_cv_type_long_long_int = yes; then
356 func_gl_gnulib_m4code_strtoll
357 fi
358 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
359 func_gl_gnulib_m4code_verify
360 fi
361 if test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
362 func_gl_gnulib_m4code_strtoull
363 fi
364 if test $ac_cv_func_strtoumax = no; then
365 func_gl_gnulib_m4code_verify
366 fi
367 m4_pattern_allow([^gl_GNULIB_ENABLED_])
368 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
369 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
370 AM_CONDITIONAL([gl_GNULIB_ENABLED_pathmax], [$gl_gnulib_enabled_pathmax])
371 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
372 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
373 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
374 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
375 # End of code from modules
376 m4_ifval(gl_LIBSOURCES_LIST, [
377 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
378 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
379 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
380 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
381 exit 1
382 fi
383 done])dnl
384 m4_if(m4_sysval, [0], [],
385 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
386 ])
387 m4_popdef([gl_LIBSOURCES_DIR])
388 m4_popdef([gl_LIBSOURCES_LIST])
389 m4_popdef([AC_LIBSOURCES])
390 m4_popdef([AC_REPLACE_FUNCS])
391 m4_popdef([AC_LIBOBJ])
392 AC_CONFIG_COMMANDS_PRE([
393 gl_libobjs=
394 gl_ltlibobjs=
395 if test -n "$gl_LIBOBJS"; then
396 # Remove the extension.
397 sed_drop_objext='s/\.o$//;s/\.obj$//'
398 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
399 gl_libobjs="$gl_libobjs $i.$ac_objext"
400 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
401 done
402 fi
403 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
404 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
405 ])
406 gltests_libdeps=
407 gltests_ltlibdeps=
408 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
409 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
410 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
411 m4_pushdef([gltests_LIBSOURCES_LIST], [])
412 m4_pushdef([gltests_LIBSOURCES_DIR], [])
413 gl_COMMON
414 gl_source_base='tests'
415 changequote(,)dnl
416 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
417 changequote([, ])dnl
418 AC_SUBST([gltests_WITNESS])
419 gl_module_indicator_condition=$gltests_WITNESS
420 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
421 m4_pattern_allow([^gl_GNULIB_ENABLED_])
422 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
423 m4_ifval(gltests_LIBSOURCES_LIST, [
424 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
425 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
426 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
427 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
428 exit 1
429 fi
430 done])dnl
431 m4_if(m4_sysval, [0], [],
432 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
433 ])
434 m4_popdef([gltests_LIBSOURCES_DIR])
435 m4_popdef([gltests_LIBSOURCES_LIST])
436 m4_popdef([AC_LIBSOURCES])
437 m4_popdef([AC_REPLACE_FUNCS])
438 m4_popdef([AC_LIBOBJ])
439 AC_CONFIG_COMMANDS_PRE([
440 gltests_libobjs=
441 gltests_ltlibobjs=
442 if test -n "$gltests_LIBOBJS"; then
443 # Remove the extension.
444 sed_drop_objext='s/\.o$//;s/\.obj$//'
445 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
446 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
447 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
448 done
449 fi
450 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
451 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
452 ])
453 LIBGNU_LIBDEPS="$gl_libdeps"
454 AC_SUBST([LIBGNU_LIBDEPS])
455 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
456 AC_SUBST([LIBGNU_LTLIBDEPS])
457 ])
458
459 # Like AC_LIBOBJ, except that the module name goes
460 # into gl_LIBOBJS instead of into LIBOBJS.
461 AC_DEFUN([gl_LIBOBJ], [
462 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
463 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
464 ])
465
466 # Like AC_REPLACE_FUNCS, except that the module name goes
467 # into gl_LIBOBJS instead of into LIBOBJS.
468 AC_DEFUN([gl_REPLACE_FUNCS], [
469 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
470 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
471 ])
472
473 # Like AC_LIBSOURCES, except the directory where the source file is
474 # expected is derived from the gnulib-tool parameterization,
475 # and alloca is special cased (for the alloca-opt module).
476 # We could also entirely rely on EXTRA_lib..._SOURCES.
477 AC_DEFUN([gl_LIBSOURCES], [
478 m4_foreach([_gl_NAME], [$1], [
479 m4_if(_gl_NAME, [alloca.c], [], [
480 m4_define([gl_LIBSOURCES_DIR], [lib])
481 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
482 ])
483 ])
484 ])
485
486 # Like AC_LIBOBJ, except that the module name goes
487 # into gltests_LIBOBJS instead of into LIBOBJS.
488 AC_DEFUN([gltests_LIBOBJ], [
489 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
490 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
491 ])
492
493 # Like AC_REPLACE_FUNCS, except that the module name goes
494 # into gltests_LIBOBJS instead of into LIBOBJS.
495 AC_DEFUN([gltests_REPLACE_FUNCS], [
496 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
497 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
498 ])
499
500 # Like AC_LIBSOURCES, except the directory where the source file is
501 # expected is derived from the gnulib-tool parameterization,
502 # and alloca is special cased (for the alloca-opt module).
503 # We could also entirely rely on EXTRA_lib..._SOURCES.
504 AC_DEFUN([gltests_LIBSOURCES], [
505 m4_foreach([_gl_NAME], [$1], [
506 m4_if(_gl_NAME, [alloca.c], [], [
507 m4_define([gltests_LIBSOURCES_DIR], [tests])
508 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
509 ])
510 ])
511 ])
512
513 # This macro records the list of files which have been installed by
514 # gnulib-tool and may be removed by future gnulib-tool invocations.
515 AC_DEFUN([gl_FILE_LIST], [
516 build-aux/snippet/_Noreturn.h
517 build-aux/snippet/arg-nonnull.h
518 build-aux/snippet/c++defs.h
519 build-aux/snippet/warn-on-use.h
520 lib/alloca.in.h
521 lib/allocator.c
522 lib/allocator.h
523 lib/c-ctype.c
524 lib/c-ctype.h
525 lib/c-strcase.h
526 lib/c-strcasecmp.c
527 lib/c-strncasecmp.c
528 lib/careadlinkat.c
529 lib/careadlinkat.h
530 lib/dosname.h
531 lib/dtoastr.c
532 lib/dtotimespec.c
533 lib/dup2.c
534 lib/filemode.c
535 lib/filemode.h
536 lib/ftoastr.c
537 lib/ftoastr.h
538 lib/getloadavg.c
539 lib/getopt.c
540 lib/getopt.in.h
541 lib/getopt1.c
542 lib/getopt_int.h
543 lib/gettext.h
544 lib/gettime.c
545 lib/gettimeofday.c
546 lib/ignore-value.h
547 lib/intprops.h
548 lib/inttypes.in.h
549 lib/lstat.c
550 lib/md5.c
551 lib/md5.h
552 lib/mktime-internal.h
553 lib/mktime.c
554 lib/pathmax.h
555 lib/pselect.c
556 lib/pthread_sigmask.c
557 lib/readlink.c
558 lib/sha1.c
559 lib/sha1.h
560 lib/sha256.c
561 lib/sha256.h
562 lib/sha512.c
563 lib/sha512.h
564 lib/signal.in.h
565 lib/stat-time.h
566 lib/stat.c
567 lib/stdalign.in.h
568 lib/stdarg.in.h
569 lib/stdbool.in.h
570 lib/stddef.in.h
571 lib/stdint.in.h
572 lib/stdio.in.h
573 lib/stdlib.in.h
574 lib/strftime.c
575 lib/strftime.h
576 lib/strtoimax.c
577 lib/strtol.c
578 lib/strtoll.c
579 lib/strtoul.c
580 lib/strtoull.c
581 lib/strtoumax.c
582 lib/symlink.c
583 lib/sys_select.in.h
584 lib/sys_stat.in.h
585 lib/sys_time.in.h
586 lib/time.in.h
587 lib/time_r.c
588 lib/timespec-add.c
589 lib/timespec-sub.c
590 lib/timespec.h
591 lib/u64.h
592 lib/unistd.in.h
593 lib/utimens.c
594 lib/utimens.h
595 lib/verify.h
596 m4/00gnulib.m4
597 m4/alloca.m4
598 m4/c-strtod.m4
599 m4/clock_time.m4
600 m4/dup2.m4
601 m4/extensions.m4
602 m4/filemode.m4
603 m4/getloadavg.m4
604 m4/getopt.m4
605 m4/gettime.m4
606 m4/gettimeofday.m4
607 m4/gnulib-common.m4
608 m4/include_next.m4
609 m4/inttypes.m4
610 m4/largefile.m4
611 m4/longlong.m4
612 m4/lstat.m4
613 m4/manywarnings.m4
614 m4/md5.m4
615 m4/mktime.m4
616 m4/multiarch.m4
617 m4/nocrash.m4
618 m4/off_t.m4
619 m4/pathmax.m4
620 m4/pselect.m4
621 m4/pthread_sigmask.m4
622 m4/readlink.m4
623 m4/sha1.m4
624 m4/sha256.m4
625 m4/sha512.m4
626 m4/signal_h.m4
627 m4/socklen.m4
628 m4/ssize_t.m4
629 m4/st_dm_mode.m4
630 m4/stat-time.m4
631 m4/stat.m4
632 m4/stdalign.m4
633 m4/stdarg.m4
634 m4/stdbool.m4
635 m4/stddef_h.m4
636 m4/stdint.m4
637 m4/stdio_h.m4
638 m4/stdlib_h.m4
639 m4/strftime.m4
640 m4/strtoimax.m4
641 m4/strtoll.m4
642 m4/strtoull.m4
643 m4/strtoumax.m4
644 m4/symlink.m4
645 m4/sys_select_h.m4
646 m4/sys_socket_h.m4
647 m4/sys_stat_h.m4
648 m4/sys_time_h.m4
649 m4/time_h.m4
650 m4/time_r.m4
651 m4/timespec.m4
652 m4/tm_gmtoff.m4
653 m4/unistd_h.m4
654 m4/utimbuf.m4
655 m4/utimens.m4
656 m4/utimes.m4
657 m4/warn-on-use.m4
658 m4/warnings.m4
659 m4/wchar_t.m4
660 ])